# Class HttpUtils

Namespace
  adas_core.module.Relays.Utils

Assembly
  adas-core.module.Relays.dll

Utility class for handling HTTP-related operations, such as adding basic authentication headers to HTTP requests.

    public static class HttpUtils

Inheritance
  object
  HttpUtils

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### AddBasicAuth(string, string, HttpRequestHeaders)

Adds basic authentication to the provided HttpRequestHeaders.

    public static HttpRequestHeaders AddBasicAuth(string username, string password, HttpRequestHeaders headers)

#### Parameters

`username` string

  The username for basic authentication.

`password` string

  The password for basic authentication.

`headers` HttpRequestHeaders

  The HttpRequestHeaders to which the authentication will be added.

#### Returns

HttpRequestHeaders

  The HttpRequestHeaders with the added basic authentication.